#### D.13.6.22 texDrawNewtonSubdivision

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  texDrawNewtonSubdivision(graph[,#]); graph list, # optional list

Assume:
  graph is the output of tropicalCurve

Return:
  string, the texdraw code of the Newton subdivision of the tropical plane curve encoded by graph

Note:
  - the list # may contain optional arguments, of which only one will be considered, namely the first entry of type 'poly'; this entry should be a rational number which specifies the scaling factor to be used; if it is missing, the factor will be computed; the list # may as well be empty
  - note that lattice points in the Newton subdivision which are black correspond to markings of the marked subdivision, while lattice points in grey are not marked

Example:

    LIB "tropical.lib";
    ring r=(0,t),(x,y),dp;
    poly f=x+y+x2y+xy2+1/t*xy;
    list graph=tropicalCurve(f);
    // compute the texdraw code of the Newton subdivision of the tropical curve
    texDrawNewtonSubdivision(graph);

User manual for Singular version 4.4.1, 2025, generated by texi2html.